/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package ipmreader;

import java.io.Serializable;
import java.math.BigDecimal;
import java.math.BigInteger;
import java.util.Date;
import javax.persistence.Basic;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.NamedQueries;
import javax.persistence.NamedQuery;
import javax.persistence.Table;
import javax.persistence.Temporal;
import javax.persistence.TemporalType;
import javax.xml.bind.annotation.XmlRootElement;

/**
 *
 * @author paul
 */
@Entity
@Table(name = "FirstPresentment")
@XmlRootElement
@NamedQueries({
    @NamedQuery(name = "FirstPresentment.findAll", query = "SELECT f FROM FirstPresentment f"),
    @NamedQuery(name = "FirstPresentment.findByPresentmentID", query = "SELECT f FROM FirstPresentment f WHERE f.presentmentID = :presentmentID"),
    @NamedQuery(name = "FirstPresentment.findByMtid", query = "SELECT f FROM FirstPresentment f WHERE f.mtid = :mtid"),
    @NamedQuery(name = "FirstPresentment.findByPan002", query = "SELECT f FROM FirstPresentment f WHERE f.pan002 = :pan002"),
    @NamedQuery(name = "FirstPresentment.findByProcessingCode003", query = "SELECT f FROM FirstPresentment f WHERE f.processingCode003 = :processingCode003"),
    @NamedQuery(name = "FirstPresentment.findByAmountTransaction004", query = "SELECT f FROM FirstPresentment f WHERE f.amountTransaction004 = :amountTransaction004"),
    @NamedQuery(name = "FirstPresentment.findByAmountReconciliation005", query = "SELECT f FROM FirstPresentment f WHERE f.amountReconciliation005 = :amountReconciliation005"),
    @NamedQuery(name = "FirstPresentment.findByAmountCardHolderBilling006", query = "SELECT f FROM FirstPresentment f WHERE f.amountCardHolderBilling006 = :amountCardHolderBilling006"),
    @NamedQuery(name = "FirstPresentment.findByConversionRateReconciliation009", query = "SELECT f FROM FirstPresentment f WHERE f.conversionRateReconciliation009 = :conversionRateReconciliation009"),
    @NamedQuery(name = "FirstPresentment.findByConversionRateCardHolderBilling010", query = "SELECT f FROM FirstPresentment f WHERE f.conversionRateCardHolderBilling010 = :conversionRateCardHolderBilling010"),
    @NamedQuery(name = "FirstPresentment.findByLocalTransactionTime012", query = "SELECT f FROM FirstPresentment f WHERE f.localTransactionTime012 = :localTransactionTime012"),
    @NamedQuery(name = "FirstPresentment.findByDateExpiration014", query = "SELECT f FROM FirstPresentment f WHERE f.dateExpiration014 = :dateExpiration014"),
    @NamedQuery(name = "FirstPresentment.findByPOSDataCode22", query = "SELECT f FROM FirstPresentment f WHERE f.pOSDataCode22 = :pOSDataCode22"),
    @NamedQuery(name = "FirstPresentment.findByCardSequenceNumber023", query = "SELECT f FROM FirstPresentment f WHERE f.cardSequenceNumber023 = :cardSequenceNumber023"),
    @NamedQuery(name = "FirstPresentment.findByFunctionCode024", query = "SELECT f FROM FirstPresentment f WHERE f.functionCode024 = :functionCode024"),
    @NamedQuery(name = "FirstPresentment.findByMessageReasonCode025", query = "SELECT f FROM FirstPresentment f WHERE f.messageReasonCode025 = :messageReasonCode025"),
    @NamedQuery(name = "FirstPresentment.findByCardAcceptorBusinessCode026", query = "SELECT f FROM FirstPresentment f WHERE f.cardAcceptorBusinessCode026 = :cardAcceptorBusinessCode026"),
    @NamedQuery(name = "FirstPresentment.findByAmountsOriginal030", query = "SELECT f FROM FirstPresentment f WHERE f.amountsOriginal030 = :amountsOriginal030"),
    @NamedQuery(name = "FirstPresentment.findByAcquirerReferenceData031", query = "SELECT f FROM FirstPresentment f WHERE f.acquirerReferenceData031 = :acquirerReferenceData031"),
    @NamedQuery(name = "FirstPresentment.findByAid032", query = "SELECT f FROM FirstPresentment f WHERE f.aid032 = :aid032"),
    @NamedQuery(name = "FirstPresentment.findByFid033", query = "SELECT f FROM FirstPresentment f WHERE f.fid033 = :fid033"),
    @NamedQuery(name = "FirstPresentment.findByRetrievalReferenceNumber037", query = "SELECT f FROM FirstPresentment f WHERE f.retrievalReferenceNumber037 = :retrievalReferenceNumber037"),
    @NamedQuery(name = "FirstPresentment.findByApprovalCode038", query = "SELECT f FROM FirstPresentment f WHERE f.approvalCode038 = :approvalCode038"),
    @NamedQuery(name = "FirstPresentment.findByServiceCode040", query = "SELECT f FROM FirstPresentment f WHERE f.serviceCode040 = :serviceCode040"),
    @NamedQuery(name = "FirstPresentment.findByCardAcceptorTerminalID041", query = "SELECT f FROM FirstPresentment f WHERE f.cardAcceptorTerminalID041 = :cardAcceptorTerminalID041"),
    @NamedQuery(name = "FirstPresentment.findByCardAcceptorIDCode042", query = "SELECT f FROM FirstPresentment f WHERE f.cardAcceptorIDCode042 = :cardAcceptorIDCode042"),
    @NamedQuery(name = "FirstPresentment.findByCardAcceptorNameLocation043", query = "SELECT f FROM FirstPresentment f WHERE f.cardAcceptorNameLocation043 = :cardAcceptorNameLocation043"),
    @NamedQuery(name = "FirstPresentment.findByAdditionalData048", query = "SELECT f FROM FirstPresentment f WHERE f.additionalData048 = :additionalData048"),
    @NamedQuery(name = "FirstPresentment.findByCurrencyCodeTransactionDE049", query = "SELECT f FROM FirstPresentment f WHERE f.currencyCodeTransactionDE049 = :currencyCodeTransactionDE049"),
    @NamedQuery(name = "FirstPresentment.findByCurrencyCodeReconciliationDE050", query = "SELECT f FROM FirstPresentment f WHERE f.currencyCodeReconciliationDE050 = :currencyCodeReconciliationDE050"),
    @NamedQuery(name = "FirstPresentment.findByCurrencyCodeCardHolderBillingDE051", query = "SELECT f FROM FirstPresentment f WHERE f.currencyCodeCardHolderBillingDE051 = :currencyCodeCardHolderBillingDE051"),
    @NamedQuery(name = "FirstPresentment.findByAdditionalAmountsDE054", query = "SELECT f FROM FirstPresentment f WHERE f.additionalAmountsDE054 = :additionalAmountsDE054"),
    @NamedQuery(name = "FirstPresentment.findByICCSystemRelatedDataDE055", query = "SELECT f FROM FirstPresentment f WHERE f.iCCSystemRelatedDataDE055 = :iCCSystemRelatedDataDE055"),
    @NamedQuery(name = "FirstPresentment.findByAdditionalData2DE062", query = "SELECT f FROM FirstPresentment f WHERE f.additionalData2DE062 = :additionalData2DE062"),
    @NamedQuery(name = "FirstPresentment.findByTransactionLifeCycleIDDE063", query = "SELECT f FROM FirstPresentment f WHERE f.transactionLifeCycleIDDE063 = :transactionLifeCycleIDDE063"),
    @NamedQuery(name = "FirstPresentment.findByMessageNumberDE071", query = "SELECT f FROM FirstPresentment f WHERE f.messageNumberDE071 = :messageNumberDE071"),
    @NamedQuery(name = "FirstPresentment.findByTransactionDestinationInstitutionIDCodeDE093", query = "SELECT f FROM FirstPresentment f WHERE f.transactionDestinationInstitutionIDCodeDE093 = :transactionDestinationInstitutionIDCodeDE093"),
    @NamedQuery(name = "FirstPresentment.findByTransactionOriginatorInstitutionIDCodeDE094", query = "SELECT f FROM FirstPresentment f WHERE f.transactionOriginatorInstitutionIDCodeDE094 = :transactionOriginatorInstitutionIDCodeDE094"),
    @NamedQuery(name = "FirstPresentment.findByReceivingInstitutionIDCodeDE100", query = "SELECT f FROM FirstPresentment f WHERE f.receivingInstitutionIDCodeDE100 = :receivingInstitutionIDCodeDE100"),
    @NamedQuery(name = "FirstPresentment.findByAmountCurrencyConversion111", query = "SELECT f FROM FirstPresentment f WHERE f.amountCurrencyConversion111 = :amountCurrencyConversion111"),
    @NamedQuery(name = "FirstPresentment.findByAdditionalData3DE123", query = "SELECT f FROM FirstPresentment f WHERE f.additionalData3DE123 = :additionalData3DE123"),
    @NamedQuery(name = "FirstPresentment.findByAdditionalData4DE124", query = "SELECT f FROM FirstPresentment f WHERE f.additionalData4DE124 = :additionalData4DE124"),
    @NamedQuery(name = "FirstPresentment.findByAdditionalData5DE125", query = "SELECT f FROM FirstPresentment f WHERE f.additionalData5DE125 = :additionalData5DE125"),
    @NamedQuery(name = "FirstPresentment.findByFileIDPDS0105", query = "SELECT f FROM FirstPresentment f WHERE f.fileIDPDS0105 = :fileIDPDS0105"),
    @NamedQuery(name = "FirstPresentment.findByFileProcessDate", query = "SELECT f FROM FirstPresentment f WHERE f.fileProcessDate = :fileProcessDate"),
    @NamedQuery(name = "FirstPresentment.findByCleared", query = "SELECT f FROM FirstPresentment f WHERE f.cleared = :cleared"),
    @NamedQuery(name = "FirstPresentment.findByStatus", query = "SELECT f FROM FirstPresentment f WHERE f.status = :status"),
    @NamedQuery(name = "FirstPresentment.findByRccPds1012", query = "SELECT f FROM FirstPresentment f WHERE f.rccPds1012 = :rccPds1012"),
    @NamedQuery(name = "FirstPresentment.findByStmtNarrativePDS1015", query = "SELECT f FROM FirstPresentment f WHERE f.stmtNarrativePDS1015 = :stmtNarrativePDS1015"),
    @NamedQuery(name = "FirstPresentment.findByReconDate", query = "SELECT f FROM FirstPresentment f WHERE f.reconDate = :reconDate"),
    @NamedQuery(name = "FirstPresentment.findByReconCycle", query = "SELECT f FROM FirstPresentment f WHERE f.reconCycle = :reconCycle"),
    @NamedQuery(name = "FirstPresentment.findBySettlementDate", query = "SELECT f FROM FirstPresentment f WHERE f.settlementDate = :settlementDate"),
    @NamedQuery(name = "FirstPresentment.findBySettlementCycle", query = "SELECT f FROM FirstPresentment f WHERE f.settlementCycle = :settlementCycle"),
    @NamedQuery(name = "FirstPresentment.findByFileHeaderID", query = "SELECT f FROM FirstPresentment f WHERE f.fileHeaderID = :fileHeaderID"),
    @NamedQuery(name = "FirstPresentment.findByCardIssuerReferenceData095", query = "SELECT f FROM FirstPresentment f WHERE f.cardIssuerReferenceData095 = :cardIssuerReferenceData095"),
    @NamedQuery(name = "FirstPresentment.findByDataRecord072", query = "SELECT f FROM FirstPresentment f WHERE f.dataRecord072 = :dataRecord072"),
    @NamedQuery(name = "FirstPresentment.findByFlSecondPresentment", query = "SELECT f FROM FirstPresentment f WHERE f.flSecondPresentment = :flSecondPresentment"),
    @NamedQuery(name = "FirstPresentment.findByAmountCCA", query = "SELECT f FROM FirstPresentment f WHERE f.amountCCA = :amountCCA"),
    @NamedQuery(name = "FirstPresentment.findByTxnTypeProcCode", query = "SELECT f FROM FirstPresentment f WHERE f.txnTypeProcCode = :txnTypeProcCode"),
    @NamedQuery(name = "FirstPresentment.findByAccountFrom", query = "SELECT f FROM FirstPresentment f WHERE f.accountFrom = :accountFrom"),
    @NamedQuery(name = "FirstPresentment.findByAccountTo", query = "SELECT f FROM FirstPresentment f WHERE f.accountTo = :accountTo"),
    @NamedQuery(name = "FirstPresentment.findByTraceidLifecycle", query = "SELECT f FROM FirstPresentment f WHERE f.traceidLifecycle = :traceidLifecycle"),
    @NamedQuery(name = "FirstPresentment.findByPant", query = "SELECT f FROM FirstPresentment f WHERE f.pant = :pant"),
    @NamedQuery(name = "FirstPresentment.findByPaymentTokenId", query = "SELECT f FROM FirstPresentment f WHERE f.paymentTokenId = :paymentTokenId"),
    @NamedQuery(name = "FirstPresentment.findByMerchTel", query = "SELECT f FROM FirstPresentment f WHERE f.merchTel = :merchTel"),
    @NamedQuery(name = "FirstPresentment.findByMerchContact", query = "SELECT f FROM FirstPresentment f WHERE f.merchContact = :merchContact"),
    @NamedQuery(name = "FirstPresentment.findByMerchNameOther", query = "SELECT f FROM FirstPresentment f WHERE f.merchNameOther = :merchNameOther"),
    @NamedQuery(name = "FirstPresentment.findByMerchURL", query = "SELECT f FROM FirstPresentment f WHERE f.merchURL = :merchURL"),
    @NamedQuery(name = "FirstPresentment.findByMerchNetID", query = "SELECT f FROM FirstPresentment f WHERE f.merchNetID = :merchNetID"),
    @NamedQuery(name = "FirstPresentment.findByMerchTaxID", query = "SELECT f FROM FirstPresentment f WHERE f.merchTaxID = :merchTaxID"),
    @NamedQuery(name = "FirstPresentment.findByPOSCardholderPresent", query = "SELECT f FROM FirstPresentment f WHERE f.pOSCardholderPresent = :pOSCardholderPresent"),
    @NamedQuery(name = "FirstPresentment.findByPOSCardPresent", query = "SELECT f FROM FirstPresentment f WHERE f.pOSCardPresent = :pOSCardPresent"),
    @NamedQuery(name = "FirstPresentment.findByPOSCardInput", query = "SELECT f FROM FirstPresentment f WHERE f.pOSCardInput = :pOSCardInput"),
    @NamedQuery(name = "FirstPresentment.findByPOSCardholderAuthenMethod1", query = "SELECT f FROM FirstPresentment f WHERE f.pOSCardholderAuthenMethod1 = :pOSCardholderAuthenMethod1"),
    @NamedQuery(name = "FirstPresentment.findByPOSCardholderAuthenEntity1", query = "SELECT f FROM FirstPresentment f WHERE f.pOSCardholderAuthenEntity1 = :pOSCardholderAuthenEntity1"),
    @NamedQuery(name = "FirstPresentment.findByPOSCardholderAuthenMethod2", query = "SELECT f FROM FirstPresentment f WHERE f.pOSCardholderAuthenMethod2 = :pOSCardholderAuthenMethod2"),
    @NamedQuery(name = "FirstPresentment.findByPOSCardholderAuthenEntity2", query = "SELECT f FROM FirstPresentment f WHERE f.pOSCardholderAuthenEntity2 = :pOSCardholderAuthenEntity2"),
    @NamedQuery(name = "FirstPresentment.findByPOSChipFallback", query = "SELECT f FROM FirstPresentment f WHERE f.pOSChipFallback = :pOSChipFallback"),
    @NamedQuery(name = "FirstPresentment.findByCardDeviceType", query = "SELECT f FROM FirstPresentment f WHERE f.cardDeviceType = :cardDeviceType"),
    @NamedQuery(name = "FirstPresentment.findByPOSSecurityCardholder2merchant", query = "SELECT f FROM FirstPresentment f WHERE f.pOSSecurityCardholder2merchant = :pOSSecurityCardholder2merchant"),
    @NamedQuery(name = "FirstPresentment.findByEmvAtc", query = "SELECT f FROM FirstPresentment f WHERE f.emvAtc = :emvAtc"),
    @NamedQuery(name = "FirstPresentment.findByEMVCVMCode", query = "SELECT f FROM FirstPresentment f WHERE f.eMVCVMCode = :eMVCVMCode"),
    @NamedQuery(name = "FirstPresentment.findByEMVCVMResult", query = "SELECT f FROM FirstPresentment f WHERE f.eMVCVMResult = :eMVCVMResult"),
    @NamedQuery(name = "FirstPresentment.findByEMVTxnCode", query = "SELECT f FROM FirstPresentment f WHERE f.eMVTxnCode = :eMVTxnCode"),
    @NamedQuery(name = "FirstPresentment.findByPOSCapCardInput", query = "SELECT f FROM FirstPresentment f WHERE f.pOSCapCardInput = :pOSCapCardInput"),
    @NamedQuery(name = "FirstPresentment.findByPOSCapCardholderAuthen", query = "SELECT f FROM FirstPresentment f WHERE f.pOSCapCardholderAuthen = :pOSCapCardholderAuthen"),
    @NamedQuery(name = "FirstPresentment.findByPOSCapCardCapture", query = "SELECT f FROM FirstPresentment f WHERE f.pOSCapCardCapture = :pOSCapCardCapture"),
    @NamedQuery(name = "FirstPresentment.findByPOSCapAttended", query = "SELECT f FROM FirstPresentment f WHERE f.pOSCapAttended = :pOSCapAttended"),
    @NamedQuery(name = "FirstPresentment.findByPOSCapEnvironment", query = "SELECT f FROM FirstPresentment f WHERE f.pOSCapEnvironment = :pOSCapEnvironment"),
    @NamedQuery(name = "FirstPresentment.findByPOSCapCardOutput", query = "SELECT f FROM FirstPresentment f WHERE f.pOSCapCardOutput = :pOSCapCardOutput"),
    @NamedQuery(name = "FirstPresentment.findByPOSCapTerminalOutput", query = "SELECT f FROM FirstPresentment f WHERE f.pOSCapTerminalOutput = :pOSCapTerminalOutput"),
    @NamedQuery(name = "FirstPresentment.findByPOSCapPINCapture", query = "SELECT f FROM FirstPresentment f WHERE f.pOSCapPINCapture = :pOSCapPINCapture"),
    @NamedQuery(name = "FirstPresentment.findByPOSCapTerminalType", query = "SELECT f FROM FirstPresentment f WHERE f.pOSCapTerminalType = :pOSCapTerminalType"),
    @NamedQuery(name = "FirstPresentment.findByEMVTermType", query = "SELECT f FROM FirstPresentment f WHERE f.eMVTermType = :eMVTermType"),
    @NamedQuery(name = "FirstPresentment.findByEMVTermCap", query = "SELECT f FROM FirstPresentment f WHERE f.eMVTermCap = :eMVTermCap"),
    @NamedQuery(name = "FirstPresentment.findByBusinessActivityPDS0158", query = "SELECT f FROM FirstPresentment f WHERE f.businessActivityPDS0158 = :businessActivityPDS0158"),
    @NamedQuery(name = "FirstPresentment.findByInstantFundingNetwork", query = "SELECT f FROM FirstPresentment f WHERE f.instantFundingNetwork = :instantFundingNetwork"),
    @NamedQuery(name = "FirstPresentment.findByMultiPartNumber", query = "SELECT f FROM FirstPresentment f WHERE f.multiPartNumber = :multiPartNumber"),
    @NamedQuery(name = "FirstPresentment.findByMultiPartCount", query = "SELECT f FROM FirstPresentment f WHERE f.multiPartCount = :multiPartCount"),
    @NamedQuery(name = "FirstPresentment.findByDCCIndicator", query = "SELECT f FROM FirstPresentment f WHERE f.dCCIndicator = :dCCIndicator")})
public class FirstPresentment implements Serializable {

    private static final long serialVersionUID = 1L;
    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    @Basic(optional = false)
    @Column(name = "Presentment_ID")
    private Long presentmentID;
    @Column(name = "MTID")
    private String mtid;
    @Column(name = "PAN_002")
    private String pan002;
    @Column(name = "Processing_Code_003")
    private String processingCode003;
    // @Max(value=?)  @Min(value=?)//if you know range of your decimal fields consider using these annotations to enforce field validation
    @Column(name = "Amount_Transaction_004")
    private BigDecimal amountTransaction004;
    @Column(name = "Amount_Reconciliation_005")
    private BigDecimal amountReconciliation005;
    @Column(name = "Amount_CardHolderBilling_006")
    private BigDecimal amountCardHolderBilling006;
    @Column(name = "Conversion_Rate_Reconciliation_009")
    private String conversionRateReconciliation009;
    @Column(name = "Conversion_Rate_CardHolderBilling_010")
    private String conversionRateCardHolderBilling010;
    @Column(name = "Local_Transaction_Time_012")
    private String localTransactionTime012;
    @Column(name = "Date_Expiration_014")
    private String dateExpiration014;
    @Column(name = "POS_Data_Code_22")
    private String pOSDataCode22;
    @Column(name = "Card_Sequence_Number_023")
    private String cardSequenceNumber023;
    @Column(name = "Function_Code_024")
    private String functionCode024;
    @Column(name = "Message_Reason_Code_025")
    private String messageReasonCode025;
    @Column(name = "Card_Acceptor_Business_Code_026")
    private String cardAcceptorBusinessCode026;
    @Column(name = "Amounts_Original_030")
    private String amountsOriginal030;
    @Column(name = "Acquirer_Reference_Data_031")
    private String acquirerReferenceData031;
    @Column(name = "AID_032")
    private String aid032;
    @Column(name = "FID_033")
    private String fid033;
    @Column(name = "Retrieval_Reference_Number_037")
    private String retrievalReferenceNumber037;
    @Column(name = "Approval_Code_038")
    private String approvalCode038;
    @Column(name = "Service_Code_040")
    private String serviceCode040;
    @Column(name = "Card_Acceptor_Terminal_ID_041")
    private String cardAcceptorTerminalID041;
    @Column(name = "Card_Acceptor_ID_Code_042")
    private String cardAcceptorIDCode042;
    @Column(name = "Card_Acceptor_Name_Location_043")
    private String cardAcceptorNameLocation043;
    @Column(name = "Additional_Data_048")
    private String additionalData048;
    @Column(name = "Currency_Code_Transaction_DE049")
    private String currencyCodeTransactionDE049;
    @Column(name = "Currency_Code_Reconciliation_DE050")
    private String currencyCodeReconciliationDE050;
    @Column(name = "Currency_Code_CardHolderBilling_DE051")
    private String currencyCodeCardHolderBillingDE051;
    @Column(name = "Additional_Amounts_DE054")
    private String additionalAmountsDE054;
    @Column(name = "ICC_System_Related_Data_DE055")
    private String iCCSystemRelatedDataDE055;
    @Column(name = "Additional_Data_2_DE062")
    private String additionalData2DE062;
    @Column(name = "Transaction_Life_Cycle_ID_DE063")
    private String transactionLifeCycleIDDE063;
    @Column(name = "Message_Number_DE071")
    private String messageNumberDE071;
    @Column(name = "Transaction_Destination_Institution_ID_Code_DE093")
    private String transactionDestinationInstitutionIDCodeDE093;
    @Column(name = "Transaction_Originator_Institution_ID_Code_DE094")
    private String transactionOriginatorInstitutionIDCodeDE094;
    @Column(name = "Receiving_Institution_ID_Code_DE100")
    private String receivingInstitutionIDCodeDE100;
    @Column(name = "Amount_CurrencyConversion_111")
    private String amountCurrencyConversion111;
    @Column(name = "Additional_Data_3_DE123")
    private String additionalData3DE123;
    @Column(name = "Additional_Data_4_DE124")
    private String additionalData4DE124;
    @Column(name = "Additional_Data_5_DE125")
    private String additionalData5DE125;
    @Column(name = "File_ID_PDS0105")
    private String fileIDPDS0105;
    @Basic(optional = false)
    @Column(name = "FileProcessDate")
    @Temporal(TemporalType.TIMESTAMP)
    private Date fileProcessDate;
    @Column(name = "Cleared")
    private Boolean cleared;
    @Column(name = "Status")
    private Character status;
    @Column(name = "RCC_PDS1012")
    private String rccPds1012;
    @Column(name = "StmtNarrative_PDS1015")
    private String stmtNarrativePDS1015;
    @Column(name = "reconDate")
    @Temporal(TemporalType.TIMESTAMP)
    private Date reconDate;
    @Column(name = "reconCycle")
    private String reconCycle;
    @Column(name = "SettlementDate")
    @Temporal(TemporalType.TIMESTAMP)
    private Date settlementDate;
    @Column(name = "SettlementCycle")
    private String settlementCycle;
    @Column(name = "FileHeaderID")
    private Integer fileHeaderID;
    @Column(name = "Card_Issuer_Reference_Data_095")
    private String cardIssuerReferenceData095;
    @Column(name = "DataRecord_072")
    private String dataRecord072;
    @Column(name = "flSecondPresentment")
    private Boolean flSecondPresentment;
    @Column(name = "Amount_CCA")
    private BigDecimal amountCCA;
    @Column(name = "TxnTypeProcCode")
    private String txnTypeProcCode;
    @Column(name = "Account_From")
    private String accountFrom;
    @Column(name = "Account_To")
    private String accountTo;
    @Column(name = "traceid_lifecycle")
    private String traceidLifecycle;
    @Column(name = "PANT")
    private BigInteger pant;
    @Column(name = "payment_token_id")
    private Integer paymentTokenId;
    @Column(name = "Merch_Tel")
    private String merchTel;
    @Column(name = "Merch_Contact")
    private String merchContact;
    @Column(name = "Merch_Name_Other")
    private String merchNameOther;
    @Column(name = "Merch_URL")
    private String merchURL;
    @Column(name = "Merch_Net_ID")
    private String merchNetID;
    @Column(name = "Merch_Tax_ID")
    private String merchTaxID;
    @Column(name = "POS_Cardholder_Present")
    private Character pOSCardholderPresent;
    @Column(name = "POS_Card_Present")
    private Character pOSCardPresent;
    @Column(name = "POS_Card_Input")
    private Character pOSCardInput;
    @Column(name = "POS_Cardholder_Authen_Method1")
    private Character pOSCardholderAuthenMethod1;
    @Column(name = "POS_Cardholder_Authen_Entity1")
    private Character pOSCardholderAuthenEntity1;
    @Column(name = "POS_Cardholder_Authen_Method2")
    private Character pOSCardholderAuthenMethod2;
    @Column(name = "POS_Cardholder_Authen_Entity2")
    private Character pOSCardholderAuthenEntity2;
    @Column(name = "POS_Chip_Fallback")
    private Character pOSChipFallback;
    @Column(name = "Card_Device_Type")
    private String cardDeviceType;
    @Column(name = "POS_Security_Cardholder2merchant")
    private Character pOSSecurityCardholder2merchant;
    @Column(name = "EMV_ATC")
    private Integer emvAtc;
    @Column(name = "EMV_CVMCode")
    private Integer eMVCVMCode;
    @Column(name = "EMV_CVMResult")
    private Integer eMVCVMResult;
    @Column(name = "EMV_TxnCode")
    private String eMVTxnCode;
    @Column(name = "POSCap_Card_Input")
    private String pOSCapCardInput;
    @Column(name = "POSCap_Cardholder_Authen")
    private String pOSCapCardholderAuthen;
    @Column(name = "POSCap_Card_Capture")
    private Character pOSCapCardCapture;
    @Column(name = "POSCap_Attended")
    private Character pOSCapAttended;
    @Column(name = "POSCap_Environment")
    private Character pOSCapEnvironment;
    @Column(name = "POSCap_Card_Output")
    private Character pOSCapCardOutput;
    @Column(name = "POSCap_Terminal_Output")
    private Character pOSCapTerminalOutput;
    @Column(name = "POSCap_PIN_Capture")
    private Character pOSCapPINCapture;
    @Column(name = "POSCap_Terminal_Type")
    private Character pOSCapTerminalType;
    @Column(name = "EMV_TermType")
    private String eMVTermType;
    @Column(name = "EMV_TermCap")
    private String eMVTermCap;
    @Column(name = "BusinessActivity_PDS0158")
    private String businessActivityPDS0158;
    @Column(name = "Instant_Funding_Network")
    private Boolean instantFundingNetwork;
    @Column(name = "multi_part_number")
    private Integer multiPartNumber;
    @Column(name = "multi_part_count")
    private Integer multiPartCount;
    @Column(name = "DCC_Indicator")
    private Boolean dCCIndicator;

    public FirstPresentment() {
    }

    public FirstPresentment(Long presentmentID) {
        this.presentmentID = presentmentID;
    }

    public FirstPresentment(Long presentmentID, Date fileProcessDate) {
        this.presentmentID = presentmentID;
        this.fileProcessDate = fileProcessDate;
    }

    public Long getPresentmentID() {
        return presentmentID;
    }

    public void setPresentmentID(Long presentmentID) {
        this.presentmentID = presentmentID;
    }

    public String getMtid() {
        return mtid;
    }

    public void setMtid(String mtid) {
        this.mtid = mtid;
    }

    public String getPan002() {
        return pan002;
    }

    public void setPan002(String pan002) {
        this.pan002 = pan002;
    }

    public String getProcessingCode003() {
        return processingCode003;
    }

    public void setProcessingCode003(String processingCode003) {
        this.processingCode003 = processingCode003;
    }

    public BigDecimal getAmountTransaction004() {
        return amountTransaction004;
    }

    public void setAmountTransaction004(BigDecimal amountTransaction004) {
        this.amountTransaction004 = amountTransaction004;
    }

    public BigDecimal getAmountReconciliation005() {
        return amountReconciliation005;
    }

    public void setAmountReconciliation005(BigDecimal amountReconciliation005) {
        this.amountReconciliation005 = amountReconciliation005;
    }

    public BigDecimal getAmountCardHolderBilling006() {
        return amountCardHolderBilling006;
    }

    public void setAmountCardHolderBilling006(BigDecimal amountCardHolderBilling006) {
        this.amountCardHolderBilling006 = amountCardHolderBilling006;
    }

    public String getConversionRateReconciliation009() {
        return conversionRateReconciliation009;
    }

    public void setConversionRateReconciliation009(String conversionRateReconciliation009) {
        this.conversionRateReconciliation009 = conversionRateReconciliation009;
    }

    public String getConversionRateCardHolderBilling010() {
        return conversionRateCardHolderBilling010;
    }

    public void setConversionRateCardHolderBilling010(String conversionRateCardHolderBilling010) {
        this.conversionRateCardHolderBilling010 = conversionRateCardHolderBilling010;
    }

    public String getLocalTransactionTime012() {
        return localTransactionTime012;
    }

    public void setLocalTransactionTime012(String localTransactionTime012) {
        this.localTransactionTime012 = localTransactionTime012;
    }

    public String getDateExpiration014() {
        return dateExpiration014;
    }

    public void setDateExpiration014(String dateExpiration014) {
        this.dateExpiration014 = dateExpiration014;
    }

    public String getPOSDataCode22() {
        return pOSDataCode22;
    }

    public void setPOSDataCode22(String pOSDataCode22) {
        this.pOSDataCode22 = pOSDataCode22;
    }

    public String getCardSequenceNumber023() {
        return cardSequenceNumber023;
    }

    public void setCardSequenceNumber023(String cardSequenceNumber023) {
        this.cardSequenceNumber023 = cardSequenceNumber023;
    }

    public String getFunctionCode024() {
        return functionCode024;
    }

    public void setFunctionCode024(String functionCode024) {
        this.functionCode024 = functionCode024;
    }

    public String getMessageReasonCode025() {
        return messageReasonCode025;
    }

    public void setMessageReasonCode025(String messageReasonCode025) {
        this.messageReasonCode025 = messageReasonCode025;
    }

    public String getCardAcceptorBusinessCode026() {
        return cardAcceptorBusinessCode026;
    }

    public void setCardAcceptorBusinessCode026(String cardAcceptorBusinessCode026) {
        this.cardAcceptorBusinessCode026 = cardAcceptorBusinessCode026;
    }

    public String getAmountsOriginal030() {
        return amountsOriginal030;
    }

    public void setAmountsOriginal030(String amountsOriginal030) {
        this.amountsOriginal030 = amountsOriginal030;
    }

    public String getAcquirerReferenceData031() {
        return acquirerReferenceData031;
    }

    public void setAcquirerReferenceData031(String acquirerReferenceData031) {
        this.acquirerReferenceData031 = acquirerReferenceData031;
    }

    public String getAid032() {
        return aid032;
    }

    public void setAid032(String aid032) {
        this.aid032 = aid032;
    }

    public String getFid033() {
        return fid033;
    }

    public void setFid033(String fid033) {
        this.fid033 = fid033;
    }

    public String getRetrievalReferenceNumber037() {
        return retrievalReferenceNumber037;
    }

    public void setRetrievalReferenceNumber037(String retrievalReferenceNumber037) {
        this.retrievalReferenceNumber037 = retrievalReferenceNumber037;
    }

    public String getApprovalCode038() {
        return approvalCode038;
    }

    public void setApprovalCode038(String approvalCode038) {
        this.approvalCode038 = approvalCode038;
    }

    public String getServiceCode040() {
        return serviceCode040;
    }

    public void setServiceCode040(String serviceCode040) {
        this.serviceCode040 = serviceCode040;
    }

    public String getCardAcceptorTerminalID041() {
        return cardAcceptorTerminalID041;
    }

    public void setCardAcceptorTerminalID041(String cardAcceptorTerminalID041) {
        this.cardAcceptorTerminalID041 = cardAcceptorTerminalID041;
    }

    public String getCardAcceptorIDCode042() {
        return cardAcceptorIDCode042;
    }

    public void setCardAcceptorIDCode042(String cardAcceptorIDCode042) {
        this.cardAcceptorIDCode042 = cardAcceptorIDCode042;
    }

    public String getCardAcceptorNameLocation043() {
        return cardAcceptorNameLocation043;
    }

    public void setCardAcceptorNameLocation043(String cardAcceptorNameLocation043) {
        this.cardAcceptorNameLocation043 = cardAcceptorNameLocation043;
    }

    public String getAdditionalData048() {
        return additionalData048;
    }

    public void setAdditionalData048(String additionalData048) {
        this.additionalData048 = additionalData048;
    }

    public String getCurrencyCodeTransactionDE049() {
        return currencyCodeTransactionDE049;
    }

    public void setCurrencyCodeTransactionDE049(String currencyCodeTransactionDE049) {
        this.currencyCodeTransactionDE049 = currencyCodeTransactionDE049;
    }

    public String getCurrencyCodeReconciliationDE050() {
        return currencyCodeReconciliationDE050;
    }

    public void setCurrencyCodeReconciliationDE050(String currencyCodeReconciliationDE050) {
        this.currencyCodeReconciliationDE050 = currencyCodeReconciliationDE050;
    }

    public String getCurrencyCodeCardHolderBillingDE051() {
        return currencyCodeCardHolderBillingDE051;
    }

    public void setCurrencyCodeCardHolderBillingDE051(String currencyCodeCardHolderBillingDE051) {
        this.currencyCodeCardHolderBillingDE051 = currencyCodeCardHolderBillingDE051;
    }

    public String getAdditionalAmountsDE054() {
        return additionalAmountsDE054;
    }

    public void setAdditionalAmountsDE054(String additionalAmountsDE054) {
        this.additionalAmountsDE054 = additionalAmountsDE054;
    }

    public String getICCSystemRelatedDataDE055() {
        return iCCSystemRelatedDataDE055;
    }

    public void setICCSystemRelatedDataDE055(String iCCSystemRelatedDataDE055) {
        this.iCCSystemRelatedDataDE055 = iCCSystemRelatedDataDE055;
    }

    public String getAdditionalData2DE062() {
        return additionalData2DE062;
    }

    public void setAdditionalData2DE062(String additionalData2DE062) {
        this.additionalData2DE062 = additionalData2DE062;
    }

    public String getTransactionLifeCycleIDDE063() {
        return transactionLifeCycleIDDE063;
    }

    public void setTransactionLifeCycleIDDE063(String transactionLifeCycleIDDE063) {
        this.transactionLifeCycleIDDE063 = transactionLifeCycleIDDE063;
    }

    public String getMessageNumberDE071() {
        return messageNumberDE071;
    }

    public void setMessageNumberDE071(String messageNumberDE071) {
        this.messageNumberDE071 = messageNumberDE071;
    }

    public String getTransactionDestinationInstitutionIDCodeDE093() {
        return transactionDestinationInstitutionIDCodeDE093;
    }

    public void setTransactionDestinationInstitutionIDCodeDE093(String transactionDestinationInstitutionIDCodeDE093) {
        this.transactionDestinationInstitutionIDCodeDE093 = transactionDestinationInstitutionIDCodeDE093;
    }

    public String getTransactionOriginatorInstitutionIDCodeDE094() {
        return transactionOriginatorInstitutionIDCodeDE094;
    }

    public void setTransactionOriginatorInstitutionIDCodeDE094(String transactionOriginatorInstitutionIDCodeDE094) {
        this.transactionOriginatorInstitutionIDCodeDE094 = transactionOriginatorInstitutionIDCodeDE094;
    }

    public String getReceivingInstitutionIDCodeDE100() {
        return receivingInstitutionIDCodeDE100;
    }

    public void setReceivingInstitutionIDCodeDE100(String receivingInstitutionIDCodeDE100) {
        this.receivingInstitutionIDCodeDE100 = receivingInstitutionIDCodeDE100;
    }

    public String getAmountCurrencyConversion111() {
        return amountCurrencyConversion111;
    }

    public void setAmountCurrencyConversion111(String amountCurrencyConversion111) {
        this.amountCurrencyConversion111 = amountCurrencyConversion111;
    }

    public String getAdditionalData3DE123() {
        return additionalData3DE123;
    }

    public void setAdditionalData3DE123(String additionalData3DE123) {
        this.additionalData3DE123 = additionalData3DE123;
    }

    public String getAdditionalData4DE124() {
        return additionalData4DE124;
    }

    public void setAdditionalData4DE124(String additionalData4DE124) {
        this.additionalData4DE124 = additionalData4DE124;
    }

    public String getAdditionalData5DE125() {
        return additionalData5DE125;
    }

    public void setAdditionalData5DE125(String additionalData5DE125) {
        this.additionalData5DE125 = additionalData5DE125;
    }

    public String getFileIDPDS0105() {
        return fileIDPDS0105;
    }

    public void setFileIDPDS0105(String fileIDPDS0105) {
        this.fileIDPDS0105 = fileIDPDS0105;
    }

    public Date getFileProcessDate() {
        return fileProcessDate;
    }

    public void setFileProcessDate(Date fileProcessDate) {
        this.fileProcessDate = fileProcessDate;
    }

    public Boolean getCleared() {
        return cleared;
    }

    public void setCleared(Boolean cleared) {
        this.cleared = cleared;
    }

    public Character getStatus() {
        return status;
    }

    public void setStatus(Character status) {
        this.status = status;
    }

    public String getRccPds1012() {
        return rccPds1012;
    }

    public void setRccPds1012(String rccPds1012) {
        this.rccPds1012 = rccPds1012;
    }

    public String getStmtNarrativePDS1015() {
        return stmtNarrativePDS1015;
    }

    public void setStmtNarrativePDS1015(String stmtNarrativePDS1015) {
        this.stmtNarrativePDS1015 = stmtNarrativePDS1015;
    }

    public Date getReconDate() {
        return reconDate;
    }

    public void setReconDate(Date reconDate) {
        this.reconDate = reconDate;
    }

    public String getReconCycle() {
        return reconCycle;
    }

    public void setReconCycle(String reconCycle) {
        this.reconCycle = reconCycle;
    }

    public Date getSettlementDate() {
        return settlementDate;
    }

    public void setSettlementDate(Date settlementDate) {
        this.settlementDate = settlementDate;
    }

    public String getSettlementCycle() {
        return settlementCycle;
    }

    public void setSettlementCycle(String settlementCycle) {
        this.settlementCycle = settlementCycle;
    }

    public Integer getFileHeaderID() {
        return fileHeaderID;
    }

    public void setFileHeaderID(Integer fileHeaderID) {
        this.fileHeaderID = fileHeaderID;
    }

    public String getCardIssuerReferenceData095() {
        return cardIssuerReferenceData095;
    }

    public void setCardIssuerReferenceData095(String cardIssuerReferenceData095) {
        this.cardIssuerReferenceData095 = cardIssuerReferenceData095;
    }

    public String getDataRecord072() {
        return dataRecord072;
    }

    public void setDataRecord072(String dataRecord072) {
        this.dataRecord072 = dataRecord072;
    }

    public Boolean getFlSecondPresentment() {
        return flSecondPresentment;
    }

    public void setFlSecondPresentment(Boolean flSecondPresentment) {
        this.flSecondPresentment = flSecondPresentment;
    }

    public BigDecimal getAmountCCA() {
        return amountCCA;
    }

    public void setAmountCCA(BigDecimal amountCCA) {
        this.amountCCA = amountCCA;
    }

    public String getTxnTypeProcCode() {
        return txnTypeProcCode;
    }

    public void setTxnTypeProcCode(String txnTypeProcCode) {
        this.txnTypeProcCode = txnTypeProcCode;
    }

    public String getAccountFrom() {
        return accountFrom;
    }

    public void setAccountFrom(String accountFrom) {
        this.accountFrom = accountFrom;
    }

    public String getAccountTo() {
        return accountTo;
    }

    public void setAccountTo(String accountTo) {
        this.accountTo = accountTo;
    }

    public String getTraceidLifecycle() {
        return traceidLifecycle;
    }

    public void setTraceidLifecycle(String traceidLifecycle) {
        this.traceidLifecycle = traceidLifecycle;
    }

    public BigInteger getPant() {
        return pant;
    }

    public void setPant(BigInteger pant) {
        this.pant = pant;
    }

    public Integer getPaymentTokenId() {
        return paymentTokenId;
    }

    public void setPaymentTokenId(Integer paymentTokenId) {
        this.paymentTokenId = paymentTokenId;
    }

    public String getMerchTel() {
        return merchTel;
    }

    public void setMerchTel(String merchTel) {
        this.merchTel = merchTel;
    }

    public String getMerchContact() {
        return merchContact;
    }

    public void setMerchContact(String merchContact) {
        this.merchContact = merchContact;
    }

    public String getMerchNameOther() {
        return merchNameOther;
    }

    public void setMerchNameOther(String merchNameOther) {
        this.merchNameOther = merchNameOther;
    }

    public String getMerchURL() {
        return merchURL;
    }

    public void setMerchURL(String merchURL) {
        this.merchURL = merchURL;
    }

    public String getMerchNetID() {
        return merchNetID;
    }

    public void setMerchNetID(String merchNetID) {
        this.merchNetID = merchNetID;
    }

    public String getMerchTaxID() {
        return merchTaxID;
    }

    public void setMerchTaxID(String merchTaxID) {
        this.merchTaxID = merchTaxID;
    }

    public Character getPOSCardholderPresent() {
        return pOSCardholderPresent;
    }

    public void setPOSCardholderPresent(Character pOSCardholderPresent) {
        this.pOSCardholderPresent = pOSCardholderPresent;
    }

    public Character getPOSCardPresent() {
        return pOSCardPresent;
    }

    public void setPOSCardPresent(Character pOSCardPresent) {
        this.pOSCardPresent = pOSCardPresent;
    }

    public Character getPOSCardInput() {
        return pOSCardInput;
    }

    public void setPOSCardInput(Character pOSCardInput) {
        this.pOSCardInput = pOSCardInput;
    }

    public Character getPOSCardholderAuthenMethod1() {
        return pOSCardholderAuthenMethod1;
    }

    public void setPOSCardholderAuthenMethod1(Character pOSCardholderAuthenMethod1) {
        this.pOSCardholderAuthenMethod1 = pOSCardholderAuthenMethod1;
    }

    public Character getPOSCardholderAuthenEntity1() {
        return pOSCardholderAuthenEntity1;
    }

    public void setPOSCardholderAuthenEntity1(Character pOSCardholderAuthenEntity1) {
        this.pOSCardholderAuthenEntity1 = pOSCardholderAuthenEntity1;
    }

    public Character getPOSCardholderAuthenMethod2() {
        return pOSCardholderAuthenMethod2;
    }

    public void setPOSCardholderAuthenMethod2(Character pOSCardholderAuthenMethod2) {
        this.pOSCardholderAuthenMethod2 = pOSCardholderAuthenMethod2;
    }

    public Character getPOSCardholderAuthenEntity2() {
        return pOSCardholderAuthenEntity2;
    }

    public void setPOSCardholderAuthenEntity2(Character pOSCardholderAuthenEntity2) {
        this.pOSCardholderAuthenEntity2 = pOSCardholderAuthenEntity2;
    }

    public Character getPOSChipFallback() {
        return pOSChipFallback;
    }

    public void setPOSChipFallback(Character pOSChipFallback) {
        this.pOSChipFallback = pOSChipFallback;
    }

    public String getCardDeviceType() {
        return cardDeviceType;
    }

    public void setCardDeviceType(String cardDeviceType) {
        this.cardDeviceType = cardDeviceType;
    }

    public Character getPOSSecurityCardholder2merchant() {
        return pOSSecurityCardholder2merchant;
    }

    public void setPOSSecurityCardholder2merchant(Character pOSSecurityCardholder2merchant) {
        this.pOSSecurityCardholder2merchant = pOSSecurityCardholder2merchant;
    }

    public Integer getEmvAtc() {
        return emvAtc;
    }

    public void setEmvAtc(Integer emvAtc) {
        this.emvAtc = emvAtc;
    }

    public Integer getEMVCVMCode() {
        return eMVCVMCode;
    }

    public void setEMVCVMCode(Integer eMVCVMCode) {
        this.eMVCVMCode = eMVCVMCode;
    }

    public Integer getEMVCVMResult() {
        return eMVCVMResult;
    }

    public void setEMVCVMResult(Integer eMVCVMResult) {
        this.eMVCVMResult = eMVCVMResult;
    }

    public String getEMVTxnCode() {
        return eMVTxnCode;
    }

    public void setEMVTxnCode(String eMVTxnCode) {
        this.eMVTxnCode = eMVTxnCode;
    }

    public String getPOSCapCardInput() {
        return pOSCapCardInput;
    }

    public void setPOSCapCardInput(String pOSCapCardInput) {
        this.pOSCapCardInput = pOSCapCardInput;
    }

    public String getPOSCapCardholderAuthen() {
        return pOSCapCardholderAuthen;
    }

    public void setPOSCapCardholderAuthen(String pOSCapCardholderAuthen) {
        this.pOSCapCardholderAuthen = pOSCapCardholderAuthen;
    }

    public Character getPOSCapCardCapture() {
        return pOSCapCardCapture;
    }

    public void setPOSCapCardCapture(Character pOSCapCardCapture) {
        this.pOSCapCardCapture = pOSCapCardCapture;
    }

    public Character getPOSCapAttended() {
        return pOSCapAttended;
    }

    public void setPOSCapAttended(Character pOSCapAttended) {
        this.pOSCapAttended = pOSCapAttended;
    }

    public Character getPOSCapEnvironment() {
        return pOSCapEnvironment;
    }

    public void setPOSCapEnvironment(Character pOSCapEnvironment) {
        this.pOSCapEnvironment = pOSCapEnvironment;
    }

    public Character getPOSCapCardOutput() {
        return pOSCapCardOutput;
    }

    public void setPOSCapCardOutput(Character pOSCapCardOutput) {
        this.pOSCapCardOutput = pOSCapCardOutput;
    }

    public Character getPOSCapTerminalOutput() {
        return pOSCapTerminalOutput;
    }

    public void setPOSCapTerminalOutput(Character pOSCapTerminalOutput) {
        this.pOSCapTerminalOutput = pOSCapTerminalOutput;
    }

    public Character getPOSCapPINCapture() {
        return pOSCapPINCapture;
    }

    public void setPOSCapPINCapture(Character pOSCapPINCapture) {
        this.pOSCapPINCapture = pOSCapPINCapture;
    }

    public Character getPOSCapTerminalType() {
        return pOSCapTerminalType;
    }

    public void setPOSCapTerminalType(Character pOSCapTerminalType) {
        this.pOSCapTerminalType = pOSCapTerminalType;
    }

    public String getEMVTermType() {
        return eMVTermType;
    }

    public void setEMVTermType(String eMVTermType) {
        this.eMVTermType = eMVTermType;
    }

    public String getEMVTermCap() {
        return eMVTermCap;
    }

    public void setEMVTermCap(String eMVTermCap) {
        this.eMVTermCap = eMVTermCap;
    }

    public String getBusinessActivityPDS0158() {
        return businessActivityPDS0158;
    }

    public void setBusinessActivityPDS0158(String businessActivityPDS0158) {
        this.businessActivityPDS0158 = businessActivityPDS0158;
    }

    public Boolean getInstantFundingNetwork() {
        return instantFundingNetwork;
    }

    public void setInstantFundingNetwork(Boolean instantFundingNetwork) {
        this.instantFundingNetwork = instantFundingNetwork;
    }

    public Integer getMultiPartNumber() {
        return multiPartNumber;
    }

    public void setMultiPartNumber(Integer multiPartNumber) {
        this.multiPartNumber = multiPartNumber;
    }

    public Integer getMultiPartCount() {
        return multiPartCount;
    }

    public void setMultiPartCount(Integer multiPartCount) {
        this.multiPartCount = multiPartCount;
    }

    public Boolean getDCCIndicator() {
        return dCCIndicator;
    }

    public void setDCCIndicator(Boolean dCCIndicator) {
        this.dCCIndicator = dCCIndicator;
    }

    @Override
    public int hashCode() {
        int hash = 0;
        hash += (presentmentID != null ? presentmentID.hashCode() : 0);
        return hash;
    }

    @Override
    public boolean equals(Object object) {
        // TODO: Warning - this method won't work in the case the id fields are not set
        if (!(object instanceof FirstPresentment)) {
            return false;
        }
        FirstPresentment other = (FirstPresentment) object;
        if ((this.presentmentID == null && other.presentmentID != null) || (this.presentmentID != null && !this.presentmentID.equals(other.presentmentID))) {
            return false;
        }
        return true;
    }

    @Override
    public String toString() {
        return "ipmreader.FirstPresentment[ presentmentID=" + presentmentID + " ]";
    }
}
